---
title: Card activation
slug: apis/payments/cos-card-payments/card-token-apis/card-activation
description: Activate or deactivate card tokens effortlessly using our API endpoint, which provides detailed responses, error handling, and essential cardholder information.
icon: {"apiMethod":"PUT"}
docTags: 
createdAt: 2025-09-28T09:55:08.810Z
---

## Relevant webhooks

For this endpoint be sure you have [registered](docId\:BN5XtgkJogBe-CtwomCbS) for these webhooks:

- [CardPayments.Card.Approved](docId\:wso2E9CMh8zs8PyIjC-7r)
- [CardPayments.Card.Rejected](docId\:wso2E9CMh8zs8PyIjC-7r)

## API reference

Active or deactivate a card token

:::ApiMethodV2
```json
{
  "name": "Endpoint: /cardpayments/v1/cardtokens/{id}/activation",
  "method": "PUT",
  "url": "https://sandbox.crbcos.com/cardpayments/v1/cardtokens/{id}/activation",
  "description": "",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "-rsdK0P7ah2W3ofiOMt1a",
        "language": "curl",
        "code": "curl --location --globoff --request PUT '{{baseUrl}}/cardpayments/v1/cardtokens/26acd726-dade-4064-996a-b42b00b634df/activation' \\\n--header 'Authorization: Bearer <token>' \\\n--header 'Content-Type: application/json' \\\n--header 'Accept: application/json' \\\n--data '{\n  \"activate\": true\n}'"
      },
      {
        "id": "3l35lyJo40hIWrZJ1jEYB",
        "language": "nodejs",
        "code": "var https = require('follow-redirects').https;\nvar fs = require('fs');\n\nvar options = {\n  'method': 'PUT',\n  'hostname': '{{baseUrl}}',\n  'path': '/cardpayments/v1/cardtokens/26acd726-dade-4064-996a-b42b00b634df/activation',\n  'headers': {\n    'Authorization': 'Bearer <token>',\n    'Content-Type': 'application/json',\n    'Accept': 'application/json'\n  },\n  'maxRedirects': 20\n};\n\nvar req = https.request(options, function (res) {\n  var chunks = [];\n\n  res.on(\"data\", function (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function (chunk) {\n    var body = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n\n  res.on(\"error\", function (error) {\n    console.error(error);\n  });\n});\n\nvar postData = JSON.stringify({\n  \"activate\": true\n});\n\nreq.write(postData);\n\nreq.end();"
      },
      {
        "id": "6KENM-gkkaXY9Az-KAZ8R",
        "language": "python",
        "code": "import http.client\nimport json\n\nconn = http.client.HTTPSConnection(\"{{baseUrl}}\")\npayload = json.dumps({\n  \"activate\": True\n})\nheaders = {\n  'Authorization': 'Bearer <token>',\n  'Content-Type': 'application/json',\n  'Accept': 'application/json'\n}\nconn.request(\"PUT\", \"/cardpayments/v1/cardtokens/26acd726-dade-4064-996a-b42b00b634df/activation\", payload, headers)\nres = conn.getresponse()\ndata = res.read()\nprint(data.decode(\"utf-8\"))"
      },
      {
        "id": "4NOUJlfNDpmrc-AjHPKp7",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"{{baseUrl}}/cardpayments/v1/cardtokens/26acd726-dade-4064-996a-b42b00b634df/activation\")\n\nhttp = Net::HTTP.new(url.host, url.port);\nrequest = Net::HTTP::Put.new(url)\nrequest[\"Authorization\"] = \"Bearer <token>\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest[\"Accept\"] = \"application/json\"\nrequest.body = JSON.dump({\n  \"activate\": true\n})\n\nresponse = http.request(request)\nputs response.read_body\n"
      },
      {
        "id": "b3oDDiceVZWDOKHweP9vK",
        "language": "go",
        "code": "package main\n\nimport (\n  \"fmt\"\n  \"strings\"\n  \"net/http\"\n  \"io\"\n)\n\nfunc main() {\n\n  url := \"{{baseUrl}}/cardpayments/v1/cardtokens/26acd726-dade-4064-996a-b42b00b634df/activation\"\n  method := \"PUT\"\n\n  payload := strings.NewReader(`{\n  \"activate\": true\n}`)\n\n  client := &http.Client {\n  }\n  req, err := http.NewRequest(method, url, payload)\n\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  req.Header.Add(\"Authorization\", \"Bearer <token>\")\n  req.Header.Add(\"Content-Type\", \"application/json\")\n  req.Header.Add(\"Accept\", \"application/json\")\n\n  res, err := client.Do(req)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  defer res.Body.Close()\n\n  body, err := io.ReadAll(res.Body)\n  if err != nil {\n    fmt.Println(err)\n    return\n  }\n  fmt.Println(string(body))\n}"
      }
    ],
    "selectedLanguageId": "-rsdK0P7ah2W3ofiOMt1a"
  },
  "results": {
    "languages": [
      {
        "id": "zSKeGucw0Ij9uNyBPihiv",
        "language": "200",
        "code": "{\n    \"id\": \"26acd726-dade-4064-996a-b42b00b634df\",\n    \"partnerId\": \"82a1cfb9-de92-4cc2-8a74-ad6600e36d7a\",\n    \"productId\": \"31cae717-408e-4813-a6b1-ad6600e48632\",\n    \"accountNumber\": \"2287979807\",\n    \"token\": \"11FB445C487140A9BEA51457A796172A000000\",\n    \"authorizationStatus\": \"Approved\",\n    \"statusReasonCode\": \"00\",\n    \"statusReasonDescription\": \"Approved and completed successfullly\",\n    \"isAuthorized\": true,\n    \"firstName\": \"Bob\",\n    \"lastName\": \"Bobbie\",\n    \"address\": {\n        \"street1\": \"101 Main Street\",\n        \"street2\": \"More address info\",\n        \"city\": \"New York\",\n        \"state\": \"NY\",\n        \"postalCode\": \"07666\",\n        \"countryCode\": \"US\"\n    },\n    \"isAddressVerified\": false,\n    \"accountNameInquiryUsed\": \"Used\",\n    \"accountNameInquiryResult\": \"Match\",\n    \"phone\": \"2015551212\",\n    \"emailAddress\": \"mmm@xxx.com\",\n    \"binNumber\": \"411111\",\n    \"panLastFour\": \"1111\",\n    \"expirationMonth\": 12,\n    \"expirationYear\": 2030,\n    \"cardFingerprint\": \"7BleaDLyA+3nxDUkoX6WjE0GKUHvEniZuoJFFjVd0muNYH4P3VOoV0w5LX3JW4h75OMx50mIRTS6xnpcxLX/2w==\",\n    \"isExpired\": false,\n    \"cardBrand\": \"Visa\",\n    \"capabilities\": {\n        \"fastFundsSupported\": true,\n        \"domesticPushEnabled\": true,\n        \"domesticPullEnabled\": true,\n        \"internationalPushEnabled\": true,\n        \"internationalPullEnabled\": true\n    },\n    \"issuerCountryCode\": \"US\",\n    \"clientIdentifier\": \"string\",\n    \"createdAt\": \"2026-04-13T07:03:23.62-04:00\",\n    \"isActive\": true,\n    \"authorizedAt\": \"2026-04-13T07:03:24.177-04:00\",\n    \"lastModifiedAt\": \"2026-04-13T07:11:06.4967045-04:00\"\n}",
        "customLabel": ""
      },
      {
        "id": "W5Gl11RtUiB7WeXh6Hp_d",
        "language": "400",
        "code": "{\n   \"errors\": [\n     {\n       \"code\": 0,\n       \"message\": \"string\"\n     } \n   ] \n}    ",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "zSKeGucw0Ij9uNyBPihiv"
  },
  "request": {
    "pathParameters": [
      {
        "name": "id",
        "kind": "required",
        "type": "string",
        "description": "The GUID of the card token you want to update",
        "": "The GUID of the card token you want to update"
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "formDataParameters": [],
    "bodyDataParameters": [
      {
        "name": "activate",
        "kind": "required",
        "type": "boolean",
        "description": "Whether or not you want to activate the card token ",
        "": "Whether or not you want to activate the card token "
      }
    ]
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "id",
      "kind": "optional",
      "type": "string",
      "description": "The GUID of the card token you want to retrieve"
    },
    {
      "name": "partnerId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the partner, as defined in COS."
    },
    {
      "name": "productId",
      "kind": "optional",
      "type": "string",
      "description": "A UUID that identifies the product, as defined in COS."
    },
    {
      "name": "accountNumber",
      "kind": "optional",
      "type": "string",
      "description": "Account number"
    },
    {
      "name": "masterAccountNumber",
      "kind": "optional",
      "type": "string",
      "description": "The master account number that the card token's account belongs to. If `accountNumber` is a sub-account, this is the parent account it rolls up to; otherwise the two values are the same."
    },
    {
      "name": "token",
      "kind": "optional",
      "type": "string",
      "description": "A randomly generated string of characters that relates to the consumer's payment card (15-38 alphanumeric characters). "
    },
    {
      "name": "rail",
      "kind": "optional",
      "type": "string",
      "description": "The processor that communicates with the card network:\n\n- McSend\n- TabaPay\n- VisaDirect"
    },
    {
      "name": "cardType",
      "kind": "optional",
      "type": "string",
      "description": "The kind of payment card:\n\n- Credit\n- Debit\n- Prepaid\n- Combo\n- ChargeCard\n- DeferredDebit\n- VisaPlus\n- Unknown"
    },
    {
      "name": "productType",
      "kind": "optional",
      "type": "string",
      "description": "Cardholder card type:\n\n- Consumer\n- Commercial\n- Government\n- Business\n- Unknown"
    },
    {
      "name": "authorizationStatus",
      "kind": "optional",
      "type": "string",
      "description": "Responses can be:\n- NotRequired\n- New\n- Pending\n- Approved\n- Rejected\n- Failed"
    },
    {
      "name": "statusReasonCode",
      "kind": "optional",
      "type": "string",
      "description": "A code indicating the reason for certain statuses, particularly useful in rejections or failures."
    },
    {
      "name": "statusReasonDescription",
      "kind": "optional",
      "type": "string",
      "description": "A description explaining the reason code."
    },
    {
      "name": "isAuthorized",
      "kind": "optional",
      "type": "boolean",
      "description": "An indicator on whether or not the card token is authorized"
    },
    {
      "name": "firstName",
      "kind": "optional",
      "type": "string",
      "description": "First name. Min 1 character, max 35 characters"
    },
    {
      "name": "middleName",
      "kind": "optional",
      "type": "string",
      "description": "Middle name. Min 1 character, max 35 characters",
      "children": []
    },
    {
      "name": "lastName",
      "kind": "optional",
      "type": "string",
      "description": "Last name. Min 1 character, max 35 characters"
    },
    {
      "name": "address",
      "kind": "optional",
      "type": "object",
      "description": "Address of card holder",
      "children": [
        {
          "name": "street1",
          "kind": "optional",
          "type": "string",
          "description": "Street address line 1. Max length 60"
        },
        {
          "name": "street2",
          "kind": "optional",
          "type": "string",
          "description": "Street address line 2. Max length 60"
        },
        {
          "name": "city",
          "kind": "optional",
          "type": "string",
          "description": "Name of the city. Max length 60"
        },
        {
          "name": "state",
          "kind": "optional",
          "type": "string",
          "description": "State code. 2 characters"
        },
        {
          "name": "postalCode",
          "kind": "optional",
          "type": "string",
          "description": "Max 10 characters"
        },
        {
          "name": "countryCode",
          "kind": "optional",
          "type": "string",
          "description": "2-letter ISO country code"
        }
      ]
    },
    {
      "name": "isAddressVerified",
      "kind": "optional",
      "type": "boolean",
      "description": "An indicator on whether or not the address was verified"
    },
    {
      "name": "addressVerificationDetails",
      "kind": "optional",
      "type": "object",
      "description": "Detailed results from Address Verification Service (AVS) and CVV2 verification performed during card authorization",
      "children": [
        {
          "name": "avsResponseCode",
          "kind": "optional",
          "type": "string",
          "description": "AVS response code from the card network (e.g., 'Y' for match, 'N' for no match). Max 10 characters"
        },
        {
          "name": "avsResponseDesc",
          "kind": "optional",
          "type": "string",
          "description": "Human-readable description of the AVS response. Max 255 characters"
        },
        {
          "name": "cvv2ResultCode",
          "kind": "optional",
          "type": "string",
          "description": "CVV2 verification result code from the card network. Max 10 characters"
        },
        {
          "name": "isCVVMatched",
          "kind": "optional",
          "type": "boolean",
          "description": "Indicates whether the CVV2 provided matched the card on file"
        }
      ]
    },
    {
      "name": "accountNameInquiryUsed",
      "kind": "optional",
      "type": "string",
      "description": "Indicates whether Cross River tried to contact the ANI service. This attribute value will also let you know if the merchant isn't configured for the ANI service. In that case, we recommend contacting your Cross River relationship manager for details on how to connect to ANI.\nPossible values are:\nUsed\nNot Used\nNot Supported",
      "children": []
    },
    {
      "name": "accountNameInquiryResult",
      "kind": "optional",
      "type": "string",
      "description": "Indicates whether the initiator-provided card details match fully, partially, or not at all, or if they are unknown. Possible values are:\nMatch\nNo Match\nPartial Match\nUnknown",
      "children": []
    },
    {
      "name": "nameVerificationDetails",
      "kind": "optional",
      "type": "object",
      "description": "Results of cardholder name verification (Account Name Inquiry) performed by the card network during card authorization. Null if name verification wasn't used.",
      "children": [
        {
          "name": "lastNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the last name. Possible values are:\nMatch\nPartial Match\nNo Match\nNull if the card network didn't return a status."
        },
        {
          "name": "firstNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the first name. Possible values are:\nMatch\nPartial Match\nNo Match\nNull if the card network didn't return a status."
        },
        {
          "name": "middleNameVerificationStatus",
          "kind": "optional",
          "type": "string",
          "description": "Verification status for the middle name. Possible values are:\nMatch\nPartial Match\nNo Match\nNull if the card network didn't return a status."
        },
        {
          "name": "nameVerificationProcessingResult",
          "kind": "optional",
          "type": "string",
          "description": "Overall processing result for name verification. Possible values are:\nName Match Performed\nName Match Not Performed\nName Match Not Supported"
        }
      ]
    },
    {
      "name": "phone",
      "kind": "optional",
      "type": "string",
      "description": "Valid phone number"
    },
    {
      "name": "emailAddress",
      "kind": "optional",
      "type": "string",
      "description": "Valid email address"
    },
    {
      "name": "binNumber",
      "kind": "optional",
      "type": "string",
      "description": "The first 4 digits on the card. This identification number indicates the card-issuing bank."
    },
    {
      "name": "panLastFour",
      "kind": "optional",
      "type": "string",
      "description": "Last 4 digits of PAN "
    },
    {
      "name": "expirationMonth",
      "kind": "optional",
      "type": "integer",
      "description": "Two-digit month. Credit cards expire at the end of the month written on the card"
    },
    {
      "name": "expirationYear",
      "kind": "optional",
      "type": "integer",
      "description": "Two-digit year"
    },
    {
      "name": "cardFingerprint",
      "kind": "optional",
      "type": "string",
      "description": "A consistent, opaque identifier for a card without exposing any PAN-related data or risking reversibility",
      "children": []
    },
    {
      "name": "isExpired",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the card is expired"
    },
    {
      "name": "cardBrand",
      "kind": "optional",
      "type": "string",
      "description": "Will be one of the following:\n- AmericanExpress\n- ChinaUnionPay\n- Dankort\n- DinersClub\n- Discover\n- Hipercard\n- JCB\n- Laser\n- Maestro\n- MasterCard\n- RuPay\n- Solo\n- Switch\n- Visa\n- Unknown"
    },
    {
      "name": "capabilities",
      "kind": "optional",
      "type": "object",
      "description": "Capabilities are the actions permitted to do on a specific card, these are returned from the rails when the card is authorized",
      "children": [
        {
          "name": "fastFundsSupported",
          "kind": "optional",
          "type": "boolean",
          "description": "Card network can move the funds to the card immediately"
        },
        {
          "name": "domesticPushEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to push within the US"
        },
        {
          "name": "domesticPullEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to pull within the US"
        },
        {
          "name": "internationalPushEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to push internationally- outside of the US"
        },
        {
          "name": "internationalPullEnabled",
          "kind": "optional",
          "type": "boolean",
          "description": "Enabled to pull internationally- outside of the US. \nNote: internationalPullEnabled - IS NOT YET SUPPORTED ACROSS ALL OF THE RAILS"
        }
      ]
    },
    {
      "name": "issuerCountryCode",
      "kind": "optional",
      "type": "string",
      "description": "ISO country of issuer. Used for domestic/international logic & compliance"
    },
    {
      "name": "clientIdentifier",
      "kind": "optional",
      "type": "string",
      "description": "User reference id. Max 50 characters"
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "When token was created"
    },
    {
      "name": "isActive",
      "kind": "optional",
      "type": "boolean",
      "description": "True if the card is active "
    },
    {
      "name": "authorizedAt",
      "kind": "optional",
      "type": "string",
      "description": "When authorized"
    },
    {
      "name": "deActivatedAt",
      "kind": "optional",
      "type": "string",
      "description": "When deactivated"
    },
    {
      "name": "lastModifiedAt",
      "kind": "optional",
      "type": "string",
      "description": "Last update timestamp"
    }
  ],
  "autoGeneratedAnchorSlug": "endpoint-cardpaymentsv1cardtokensidactivation",
  "legacyHash": "I6c-Ta58SSeogtjW36vUI"
}
```
:::

